import QtQuick 2.0
import QtQuick.XmlListModel 2.0

Rectangle {
    id: window
    color: "#00ffffff"

    property string searchPhrase: 'openmobility'

    width: 800
    height: 600

    NiceBackground {
        anchors.fill: parent;
        z: -1000

    }


    ListView {
        id: listView
        anchors.fill: parent;
        anchors.margins: 20
        model:  listModel;
        delegate: MessageBox {
            status_text: model.text
            user_name: model.from_user
            profile_picture: model.profile_image_url
            bigImage: (model.entities.media !== undefined) ? model.entities.media[0].media_url : ""


        }
        spacing: 20


    }


    Timer {
        interval: 5000
        repeat: true;
        running: true;
        property int wait: 0
        //running: false;
        onTriggered: {
            if (wait > 0) {
                wait--;
                return;
            }
            if (wait == 0) {
                wait--;
                download()
                listView.positionViewAtBeginning();
            }

            if (listView.currentIndex+1 == listModel.count) {
                wait = 2;
            } else {
                listView.incrementCurrentIndex();
            }
        }
    }

    ListModel {
        id: listModel
    }

    Component.onCompleted: {
         download();
    }

    function download() {
        var http = new XMLHttpRequest()

        var url = 'http://search.twitter.com/search.json?rpp=100&include_entities=true&q=%23' + searchPhrase

        http.open("GET", url, true)

        http.onreadystatechange = function(){
                    if (http.readyState == 4) {
                        if (http.status == 200) {
                console.log("download done");
                            var remote = JSON.parse(http.responseText)
                            listModel.clear();
                            for (var i = 0; i < remote.results.length; i++) {
                                listModel.append(remote.results[i])
                            }

                        } else { // offline or error while downloading

                            console.log("download() error")


                        }

                    }
                }
        http.setRequestHeader("Content-Type", "application/x-www-form-urlencoded;");
        //http.setRequestHeader("Content-length", params.length);
        http.setRequestHeader("Connection", "close");
        //        http.send(params)
        http.send()

    }


}

